Class | Resolv::DNS::Resource::DomainName
In: | resolv.rb
Parent: | Resource

### Methods

decode_rdata encode_rdata new

### Attributes

name | [R] |

### Public Class methods

decode_rdata(msg)

[Source]

    # File resolv.rb, line 1441
            def self.decode_rdata(msg)
              return self.new(msg.get_name)
            end

new(name)

[Source]

    # File resolv.rb, line 1432
            def initialize(name)
              @name = name
            end

### Public Instance methods

encode_rdata(msg)

[Source]

    # File resolv.rb, line 1437
            def encode_rdata(msg)
              msg.put_name(@name)
            end

[Validate]